package org.kne.util;

public class SystemInfo {
	private String osName;
	private String osArch;
	private String osVersion;
	public String getOsName() {
		return osName;
	}
	public String getOsArch() {
		return osArch;
	}
	
	public String getOsVersion() {
		return osVersion;
	}
	public SystemInfo(String osName, String osArch, String osVersion) {
		super();
		this.osName = osName;
		this.osArch = osArch;
		this.osVersion = osVersion;
	}
	public SystemInfo() {
		this.osName = System.getProperty("os.name");
		this.osArch = System.getProperty("os.arch");
		this.osVersion = System.getProperty("os.version");
	}
	@Override
	public String toString() {
		return "SystemInfo [osName=" + osName + ", osArch=" + osArch + ", osVersion=" + osVersion + "]";
	}
}
